DRM_MM_INIT(9)

NAME
drm_mm_init - initialize a drm-mm allocator

SYNOPSIS

void drm_mm_init(struct drm_mm * mm, unsigned long start, unsigned long size);

ARGUMENTS

mm
    the drm_mm structure to initialize

start
    start of the range managed by mm

size
    end of the range managed by mm

DESCRIPTION

Note that mm must be cleared to 0 before calling this function.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT